import { request, uploads } from "@/utils/request";

//
export function recordList(param) {
  return request({
    url: "/service-fire/appPatrolInspection/recordList",
    method: "GET",
    data: param,
  });
}

//巡检记录-查看巡检项
export function recordOption(param) {
  return request({
    url: "/service-fire/appPatrolInspection/recordOption",
    method: "GET",
    data: param,
  });
}

//
export function planList(param) {
  return request({
    url: "/service-fire/appPatrolInspection/planList",
    method: "GET",
    data: param,
  });
}

//
export function patrolInspectionPlan(param) {
  return request({
    url: "/service-fire/appPatrolInspection/patrolInspectionPlan",
    method: "GET",
    data: param,
  });
}

//统计接口请求
export function appPlanStatistics(param) {
  return request({
    url: "/service-fire/appPatrolInspection/appPlanStatistics",
    method: "GET",
    data: param,
  });
}

/**
 * @站点详情
 * @siteList站点详情信息存储
 * @contentList内容详情信息存储
 */
export function siteDetails(param) {
  return request({
    url: "/service-fire/appPatrolInspection/siteDetails",
    method: "GET",
    data: param,
  });
}

/**
 * @地点列表
 */
export function planSonSiteDetails(param) {
  return request({
    url: "/service-fire/appPatrolInspection/planSonSiteDetails",
    method: "GET",
    data: param,
  });
}

/**
 * @提交
 */
export function updatePlan(param) {
  return request({
    url: "/service-fire/appPatrolInspection/updatePlan",
    method: "POST",
    data: param,
  });
}
